/*
    This file is part of Kismet

    Kismet is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Kismet is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Kismet; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __GLOBALREGISTRY_H__
#define __GLOBALREGISTRY_H__

#include "config.h"

// Pre-defs for all the things we point to
class MessageBus;
class ConfigFile;
class Timetracker;
class KismetAlertClient;

// Global registry of references to tracker objects and preferences.  This 
// should supplant the masses of globals and externs we'd otherwise need.
class GlobalRegistry {
public:
    // Fatal terminate condition, as soon as we detect this in the main code we
    // should initiate a shutdown
    int fatal_condition;
    
    MessageBus *messagebus;
	ConfigFile *kismetui_config;
	Timetracker *timetracker;
	KismetAlertClient *kisalertclient;

    time_t start_time;
    
    GlobalRegistry() { 
        fatal_condition = 0;

        messagebus = NULL;
		kismetui_config = NULL;
		timetracker = NULL;
    }
};

#endif

